local function initAdditionalSettings(baseDirectory, modName)
	source(Utils.getFilename("scripts/AdditionalSettings.lua", baseDirectory))
	source(Utils.getFilename("scripts/gui/NewFrameReference.lua", baseDirectory))
	source(Utils.getFilename("scripts/gui/AdditionalSettingsFrame.lua", baseDirectory))
	source(Utils.getFilename("scripts/gui/RestartGameDialog.lua", baseDirectory))

	getfenv(0).g_modsSettingsPath = getUserProfileAppPath() .. "modsSettings/"
	createFolder(g_modsSettingsPath)

	Mission00.setMissionInfo = Utils.prependedFunction(Mission00.setMissionInfo, function(mission, missionInfo, missionDynamicInfo)
		getfenv(0).g_additionalSettings = AdditionalSettings:new(mission, missionInfo, missionDynamicInfo, baseDirectory, modName, g_i18n, g_gui, g_gameSettings, g_depthOfFieldManager, g_mpLoadingScreen, g_shopConfigScreen, g_mapManager)
	end)

	g_specializationManager:addSpecialization("fillIndicator", "FillIndicator", Utils.getFilename("scripts/vehicle/FillIndicator.lua", baseDirectory), true)
	g_specializationManager:addSpecialization("easyMotorStart", "EasyMotorStart", Utils.getFilename("scripts/vehicle/EasyMotorStart.lua", baseDirectory), true)

	for vehicleType, vehicle in pairs(g_vehicleTypeManager.vehicleTypes) do
		if SpecializationUtil.hasSpecialization(Trailer, vehicle.specializations) and SpecializationUtil.hasSpecialization(FillUnit, vehicle.specializations) and not SpecializationUtil.hasSpecialization(Drivable, vehicle.specializations) then
			g_vehicleTypeManager:addSpecialization(vehicleType, "fillIndicator")
		end
		if SpecializationUtil.hasSpecialization(Motorized, vehicle.specializations) then
			g_vehicleTypeManager:addSpecialization(vehicleType, "easyMotorStart")
		end
	end
end

initAdditionalSettings(g_currentModDirectory, g_currentModName)